Ivanti Avalanche < 6.4.2 Multiple Vulnerabilities

critical Nessus Plugin ID 190368

Synopsis

An enterprise mobility management application is affected by multiple vulnerabilities.

Description

The version of Ivanti Avalanche running on the remote host is prior to 6.4.2. It is, therefore, is affected by multiple vulnerabilities :

- An attacker sending specially crafted data packets to the Mobile Device Server can cause memory corruption which could result to a Denial of Service (DoS) or code execution. (CVE-2023-41727)

- An attacker sending specially crafted data packets to the Mobile Device Server can cause memory corruption which could result to a Denial of Service (DoS) or code execution. (CVE-2023-46216)

- An attacker sending specially crafted data packets to the Mobile Device Server can cause memory corruption which could result to a Denial of Service (DoS) or code execution. (CVE-2023-46217)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to v6.4.2 or later.

See Also

http://www.nessus.org/u?e02d094c

Plugin Details

Severity: Critical

ID: 190368

File Name: ivanti_avalanche_6_4_2.nasl

Version: 1.1

Type: remote

Family: Misc.

Published: 2/9/2024

Updated: 2/12/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2023-46265

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:ivanti:avalanche

Required KB Items: installed_sw/Ivanti Avalanche Manager

Exploit Ease: No known exploits are available

Patch Publication Date: 12/20/2023

Vulnerability Publication Date: 12/20/2023

Reference Information

CVE: CVE-2021-22962, CVE-2023-41727, CVE-2023-46216, CVE-2023-46217, CVE-2023-46220, CVE-2023-46221, CVE-2023-46222, CVE-2023-46223, CVE-2023-46224, CVE-2023-46225, CVE-2023-46257, CVE-2023-46258, CVE-2023-46259, CVE-2023-46260, CVE-2023-46261, CVE-2023-46262, CVE-2023-46263, CVE-2023-46264, CVE-2023-46265, CVE-2023-46266